Bug 1128843 - Documentation for STATUS messages interval settings
Summary: Documentation for STATUS messages interval settings
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Web Server 2
Classification: JBoss
Component: doc-HTTP-Connectors-Guide
Version: 2.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: CR02
: 2.1.0
Assignee: Mandar Joshi
QA Contact: Michal Karm Babacek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-11 15:45 UTC by Michal Karm Babacek
Modified: 2015-09-01 02:59 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Build Name: 10995, HTTP Connectors Load Balancing Guide-2.1-3 Build Date: 08-08-2014 22:52:24 Topic ID: 11035-591955 [Latest]
Last Closed: 2014-08-21 08:43:28 UTC
Type: Bug


Attachments (Terms of Use)

Description Michal Karm Babacek 2014-08-11 15:45:25 UTC
Title: Configure a Tomcat Worker Node, mod_cluster

Describe the issue:
Missing feature documentation

Suggestions for improvement:
Add the documentation :-)

Additional information:

I suggest something along these lines:


STATUS MCMP Messages

  Worker nodes send STATUS messages to the Apache HTTP Server balancer containing e.g. their current load. The default periodicity of these messages is 10 seconds. With many active worker nodes, i.e. hundreds of them, this operation might actually unnecessarily exhaust Apache HTTP Server network resources. In such case, we suggest tuning the org.jboss.modcluster.container.catalina.status-frequency property. Its default value is 1 (equals to 10 seconds). Setting it to e.g. 6 means 60 seconds periodicity.

Example:

-Dorg.jboss.modcluster.container.catalina.status-frequency=6



WDYT? Is it legible?
ping me if you need more intel

Comment 2 Michal Karm Babacek 2014-08-14 10:17:00 UTC
Paragraph 5. Set STATUS MCMP Messages frequency, is valid.

...and I sincerely hope that the content will make it intact from DocBuidler to Doc stage :-)

Comment 3 Misha H. Ali 2014-08-21 08:43:28 UTC
Now available on the customer portal:

https://access.redhat.com/documentation/en-US/JBoss_Enterprise_Web_Server/2.1/


Note You need to log in before you can comment on or make changes to this bug.